# -*- coding:Utf-8 -*-
#!/usr/bin/python

# \copyleft Denis LE FUR \copyright
# This work may be distributed and/or mofified under the conditions
# or the LaTeX Project Public Licence, either v1.3 or (at your option)
# any later version. The latest version is in
#   http://www.latex-project.org/lppl/
# This work consists of the files supp_arbre32.py.


import pygtk
pygtk.require("2.0")
import gtk	

import os
import sys

sys.path.append("../../Divers/")
from pro_divers import *


#-------------------------------------------------------------
# Met à jour le code supplémentaire latex
#-------------------------------------------------------------	
def maj_codesupp(arbre):
	text_view=arbre.textviewSupp
	A=arbre.entryNom1Haut.get_text()
	B=arbre.entryNom1Centre.get_text()
	C=arbre.entryNom1Bas.get_text()
	D=arbre.entryNom2Haut.get_text()
	E=arbre.entryNom2Bas.get_text()
	
	str_buffer="$"+A+"$, $"+B+"$ et $"+C+"$ forment une partition. D\'après la formule des probabilités totales,\n\n"
	
	str_buffer=str_buffer+"$p("+D+")=p("+A+" \\cap "+D+")+p("+B+" \\cap "+D+")+p("+C+" \\cap "+D+")=p("+A+") \\times p_{"+A+"}("+D+")+p("+B+") \\times p_{"+B+"}("+D+")+p("+C+") \\times p_{"+C+"}("+D+")$ \\\ \n\n"
	str_buffer=str_buffer+"$p("+E+")=p("+A+" \\cap "+E+")+p("+B+" \\cap "+E+")+p("+C+" \\cap "+E+")=p("+A+") \\times p_{"+A+"}("+E+")+p("+B+") \\times p_{"+B+"}("+E+")+p("+C+") \\times p_{"+C+"}("+E+")$ \\\ \n\n"
	
	str_buffer=str_buffer+"\\underline{Probabilités conditionnelles :} \\\ \n\n"
	
	str_buffer=str_buffer+"$p_{"+D+"}("+A+")=\dfrac{p("+A+" \cap "+D+")}{p("+D+")}$ \\\ \n\n"
	str_buffer=str_buffer+"$p_{"+D+"}("+B+")=\dfrac{p("+B+" \cap "+D+")}{p("+D+")}$ \\\ \n\n"
	str_buffer=str_buffer+"$p_{"+D+"}("+C+")=\dfrac{p("+C+" \cap "+D+")}{p("+D+")}$ \\\ \n\n"
	
	str_buffer=str_buffer+"$p_{"+E+"}("+A+")=\dfrac{p("+A+" \cap "+E+")}{p("+E+")}$ \\\ \n\n"
	str_buffer=str_buffer+"$p_{"+E+"}("+B+")=\dfrac{p("+B+" \cap "+E+")}{p("+E+")}$ \\\ \n\n"
	str_buffer=str_buffer+"$p_{"+E+"}("+C+")=\dfrac{p("+C+" \cap "+E+")}{p("+E+")}$ \\\ \n\n"
	
	# Récupération du buffer
	text_buffer = text_view.get_buffer()
	# Suppression des données du buffer
	start_iter = text_buffer.get_start_iter()
	end_iter = text_buffer.get_end_iter()
	text_buffer.delete(start_iter, end_iter)
	# Affichage du fichier
	start_iter = text_buffer.get_start_iter()
	text_buffer.insert(start_iter, str_buffer)
	
	
